Megosztás:


Apis - Create Or Update

Létrehozza az API Management szolgáltatáspéldány meglévő megadott API-ját, vagy frissíti azokat.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ApiManagement/service/{serviceName}/apis/{apiId}?api-version=2024-05-01

URI-paraméterek

Name In Kötelező Típus Description
apiId
path True

string

minLength: 1
maxLength: 256
pattern: ^[^*#&+:<>?]+$

API-változat azonosítója. Az aktuális API Management szolgáltatáspéldányban egyedinek kell lennie. A nem aktuális változat rendelkezik ; rev=n utótagként, ahol n a változat száma.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

Az erőforráscsoport neve. A név nem megkülönbözteti a kis- és nagybetűket.

serviceName
path True

string

minLength: 1
maxLength: 50
pattern: ^[a-zA-Z](?:[a-zA-Z0-9-]*[a-zA-Z0-9])?$

Az API Management szolgáltatás neve.

subscriptionId
path True

string (uuid)

A cél-előfizetés azonosítója. Az értéknek UUID-nek kell lennie.

api-version
query True

string

minLength: 1

A művelethez használni kívánt API-verzió.

Kérelem fejléce

Name Kötelező Típus Description
If-Match

string

Az entitás ETagje. Entitás létrehozásakor nem kötelező, de egy entitás frissítésekor kötelező.

Kérelem törzse

Name Kötelező Típus Description
properties.path True

string

minLength: 0
maxLength: 400

Relatív URL-cím, amely egyedileg azonosítja ezt az API-t és annak összes erőforrásútvonalát az API Management szolgáltatáspéldányon belül. A rendszer hozzáfűzi a szolgáltatáspéldány létrehozása során megadott API-végpontbázis URL-címéhez, hogy nyilvános URL-címet képezze ehhez az API-hoz.

apiRevision

string

minLength: 1
maxLength: 100

Az API felülvizsgálatát ismerteti. Ha nincs megadva érték, a rendszer létrehozza az 1. alapértelmezett változatot

apiRevisionDescription

string

maxLength: 256

Az API-változat leírása.

apiVersion

string

maxLength: 100

Az API verzióazonosítóját jelzi, ha az API verziószámozott

apiVersionDescription

string

maxLength: 256

Az API-verzió leírása.

apiVersionSetId

string

A kapcsolódó ApiVersionSet erőforrás-azonosítója.

authenticationSettings

AuthenticationSettingsContract

Az API-ba foglalt hitelesítési beállítások gyűjteménye.

contact

ApiContactInformation

Az API kapcsolattartási adatai.

description

string

Az API leírása. HTML-formázási címkéket is tartalmazhat.

isCurrent

boolean

Azt jelzi, hogy az API-változat aktuális API-változat-e.

license

ApiLicenseInformation

Az API licencadatai.

properties.apiType

SoapApiType

A létrehozandó API típusa.

  • http REST API-t hoz létre
  • soap létrehoz egy SOAP-átmenő API-t
  • websocket websocket API-t hoz létre
  • graphql GraphQL API-t hoz létre. A jövőben új típusok is hozzáadhatók.
properties.apiVersionSet

ApiVersionSetContractDetails

Verziókészlet részletei

properties.displayName

string

minLength: 1
maxLength: 300

API-név. 1–300 karakter hosszúságúnak kell lennie.

properties.format

ContentFormat

Annak a tartalomnak a formátuma, amelyben az API importálva van. A jövőben új formátumok is hozzáadhatók

properties.protocols

Protocol[]

Ez a cikk ismerteti, hogy az API műveletei mely protokollokon hívhatók meg.

properties.serviceUrl

string

minLength: 0
maxLength: 2000

Az API-t implementáló háttérszolgáltatás abszolút URL-címe. Legfeljebb 2000 karakter hosszú lehet.

properties.sourceApiId

string

A forrás API API-azonosítója.

properties.translateRequiredQueryParameters

TranslateRequiredQueryParametersConduct

A szükséges lekérdezési paraméterek sablonokra való fordításának stratégiája. Alapértelmezés szerint a "sablon" érték van megadva. Lehetséges értékek: 'template', 'query'

properties.value

string

Tartalomérték API importálásakor.

properties.wsdlSelector

WsdlSelector

A WSDL importálásának a dokumentum egy részhalmazára való korlátozására vonatkozó feltételek.

subscriptionKeyParameterNames

SubscriptionKeyParameterNamesContract

Protokollok, amelyeken keresztül az API elérhetővé válik.

subscriptionRequired

boolean

Megadja, hogy szükség van-e API- vagy termék-előfizetésre az API eléréséhez.

termsOfServiceUrl

string

Az API szolgáltatási feltételeinek URL-címe. URL-cím formátumúnak kell lennie.

type

ApiType

Az API típusa.

Válaszok

Name Típus Description
200 OK

ApiContract

Az API frissítése sikeresen megtörtént.

Fejlécek

  • ETag: string
  • location: string
  • Azure-AsyncOperation: string
201 Created

ApiContract

Az API létrehozása sikeresen megtörtént.

Fejlécek

  • ETag: string
  • location: string
  • Azure-AsyncOperation: string
Other Status Codes

ErrorResponse

Hibaválasz, amely leírja, hogy miért nem sikerült a művelet.

Biztonság

azure_auth

Azure Active Directory Oauth2-folyamat.

Típus: oauth2
Folyamat: implicit
Engedélyezési URL: https://login.microsoftonline.com/common/oauth2/authorize

Hatókörök

Name Description
user_impersonation a felhasználói fiók megszemélyesítése

Példák

ApiManagementCreateApi
ApiManagementCreateApiClone
ApiManagementCreateApiNewVersionUsingExistingApi
ApiManagementCreateApiRevisionFromExistingApi
ApiManagementCreateApiUsingImportOverrideServiceUrl
ApiManagementCreateApiUsingOai3Import
ApiManagementCreateApiUsingOai3ImportWithTranslateRequiredQueryParametersConduct
ApiManagementCreateApiUsingSwaggerImport
ApiManagementCreateApiUsingWadlImport
ApiManagementCreateApiWithMultipleAuthServers
ApiManagementCreateApiWithMultipleOpenIdConnectProviders
ApiManagementCreateApiWithOpenIdConnect
ApiManagementCreateGraphQLApi
ApiManagementCreateGrpcApi
ApiManagementCreateODataApi
ApiManagementCreateSoapPassThroughApiUsingWsdlImport
ApiManagementCreateSoapToRestApiUsingWsdlImport
ApiManagementCreateWebSocketApi

ApiManagementCreateApi

Mintakérelem

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01

{
  "properties": {
    "description": "apidescription5200",
    "authenticationSettings": {
      "oAuth2": {
        "authorizationServerId": "authorizationServerId2283",
        "scope": "oauth2scope2580"
      }
    },
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    },
    "displayName": "apiname1463",
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "path": "newapiPath",
    "protocols": [
      "https",
      "http"
    ]
  }
}

Mintaválasz

location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "apiid9419",
  "properties": {
    "displayName": "apiname1463",
    "apiRevision": "1",
    "description": "apidescription5200",
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "path": "newapiPath",
    "protocols": [
      "http",
      "https"
    ],
    "authenticationSettings": {
      "oAuth2": {
        "authorizationServerId": "authorizationServerId2283",
        "scope": "oauth2scope2580"
      },
      "oAuth2AuthenticationSettings": [
        {
          "authorizationServerId": "authorizationServerId2283",
          "scope": "oauth2scope2580"
        }
      ]
    },
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    },
    "isCurrent": true,
    "isOnline": true,
    "provisioningState": "InProgress"
  }
}
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "apiid9419",
  "properties": {
    "displayName": "apiname1463",
    "apiRevision": "1",
    "description": "apidescription5200",
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "path": "newapiPath",
    "protocols": [
      "http",
      "https"
    ],
    "authenticationSettings": {
      "oAuth2": {
        "authorizationServerId": "authorizationServerId2283",
        "scope": "oauth2scope2580"
      },
      "oAuth2AuthenticationSettings": [
        {
          "authorizationServerId": "authorizationServerId2283",
          "scope": "oauth2scope2580"
        }
      ]
    },
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    },
    "isCurrent": true,
    "isOnline": true,
    "provisioningState": "InProgress"
  }
}

ApiManagementCreateApiClone

Mintakérelem

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echo-api2?api-version=2024-05-01

{
  "properties": {
    "displayName": "Echo API2",
    "description": "Copy of Existing Echo Api including Operations.",
    "subscriptionRequired": true,
    "serviceUrl": "http://echoapi.cloudapp.net/api",
    "path": "echo2",
    "protocols": [
      "http",
      "https"
    ],
    "isCurrent": true,
    "sourceApiId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/58a4aeac497000007d040001"
  }
}

Mintaválasz

location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoapi2",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "echoapi2",
  "properties": {
    "displayName": "Echo API2",
    "apiRevision": "1",
    "description": "Copy of Existing Echo Api including Operations.",
    "subscriptionRequired": true,
    "serviceUrl": "http://echoapi.cloudapp.net/api",
    "path": "echo2",
    "protocols": [
      "http",
      "https"
    ],
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "isCurrent": true,
    "provisioningState": "InProgress"
  }
}
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoapi2",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "echoapi2",
  "properties": {
    "displayName": "Echo API2",
    "apiRevision": "1",
    "description": "Copy of Existing Echo Api including Operations.",
    "subscriptionRequired": true,
    "serviceUrl": "http://echoapi.cloudapp.net/api",
    "path": "echo2",
    "protocols": [
      "http",
      "https"
    ],
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "isCurrent": true,
    "provisioningState": "InProgress"
  }
}

ApiManagementCreateApiNewVersionUsingExistingApi

Mintakérelem

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoapiv3?api-version=2024-05-01

{
  "properties": {
    "displayName": "Echo API2",
    "description": "Create Echo API into a new Version using Existing Version Set and Copy all Operations.",
    "subscriptionRequired": true,
    "serviceUrl": "http://echoapi.cloudapp.net/api",
    "path": "echo2",
    "protocols": [
      "http",
      "https"
    ],
    "isCurrent": true,
    "apiVersion": "v4",
    "sourceApiId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoPath",
    "apiVersionSetId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apiVersionSets/aa9c59e6-c0cd-4258-9356-9ca7d2f0b458"
  }
}

Mintaválasz

location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoapiv3",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "echoapiv3",
  "properties": {
    "displayName": "Echo API2",
    "apiRevision": "1",
    "description": "Create Echo API into a new Version using Existing Version Set and Copy all Operations.",
    "subscriptionRequired": true,
    "serviceUrl": "http://echoapi.cloudapp.net/api",
    "path": "echo2",
    "protocols": [
      "http",
      "https"
    ],
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "isCurrent": true,
    "apiVersion": "v4",
    "apiVersionSetId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apiVersionSets/aa9c59e6-c0cd-4258-9356-9ca7d2f0b458",
    "apiVersionSet": {
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apiVersionSets/aa9c59e6-c0cd-4258-9356-9ca7d2f0b458",
      "name": "Echo API2",
      "versioningScheme": "Segment"
    },
    "provisioningState": "InProgress"
  }
}
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoapiv3",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "echoapiv3",
  "properties": {
    "displayName": "Echo API2",
    "apiRevision": "1",
    "description": "Create Echo API into a new Version using Existing Version Set and Copy all Operations.",
    "subscriptionRequired": true,
    "serviceUrl": "http://echoapi.cloudapp.net/api",
    "path": "echo2",
    "protocols": [
      "http",
      "https"
    ],
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "isCurrent": true,
    "apiVersion": "v4",
    "apiVersionSetId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apiVersionSets/aa9c59e6-c0cd-4258-9356-9ca7d2f0b458",
    "apiVersionSet": {
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apiVersionSets/aa9c59e6-c0cd-4258-9356-9ca7d2f0b458",
      "name": "Echo API2",
      "versioningScheme": "Segment"
    },
    "provisioningState": "InProgress"
  }
}

ApiManagementCreateApiRevisionFromExistingApi

Mintakérelem

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echo-api;rev=3?api-version=2024-05-01

{
  "properties": {
    "path": "echo",
    "serviceUrl": "http://echoapi.cloudapp.net/apiv3",
    "sourceApiId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echo-api",
    "apiRevisionDescription": "Creating a Revision of an existing API"
  }
}

Mintaválasz

location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echo-api;rev=3",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "echo-api;rev=3",
  "properties": {
    "displayName": "Echo API",
    "apiRevision": "3",
    "subscriptionRequired": true,
    "serviceUrl": "http://echoapi.cloudapp.net/apiv3",
    "path": "echo",
    "protocols": [
      "https"
    ],
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "apiRevisionDescription": "Creating a Revision of an existing API",
    "provisioningState": "InProgress"
  }
}
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echo-api;rev=3",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "echo-api;rev=3",
  "properties": {
    "displayName": "Echo API",
    "apiRevision": "3",
    "subscriptionRequired": true,
    "serviceUrl": "http://echoapi.cloudapp.net/apiv3",
    "path": "echo",
    "protocols": [
      "https"
    ],
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "apiRevisionDescription": "Creating a Revision of an existing API",
    "provisioningState": "InProgress"
  }
}

ApiManagementCreateApiUsingImportOverrideServiceUrl

Mintakérelem

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs?api-version=2024-05-01

{
  "properties": {
    "format": "swagger-link",
    "value": "http://apimpimportviaurl.azurewebsites.net/api/apidocs/",
    "path": "petstoreapi123",
    "serviceUrl": "http://petstore.swagger.wordnik.com/api"
  }
}

Mintaválasz

location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "apidocs",
  "properties": {
    "displayName": "Swagger Sample App",
    "apiRevision": "1",
    "description": "This is a sample server Petstore server.  You can find out more about Swagger \n    at <a href=\"http://swagger.wordnik.com\">http://swagger.wordnik.com</a> or on irc.freenode.net, #swagger.  For this sample,\n    you can use the api key \"special-key\" to test the authorization filters",
    "serviceUrl": "http://petstore.swagger.wordnik.com/api",
    "path": "petstoreapi123",
    "protocols": [
      "https"
    ],
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "isCurrent": true,
    "provisioningState": "InProgress"
  }
}
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "apidocs",
  "properties": {
    "displayName": "Swagger Sample App",
    "apiRevision": "1",
    "description": "This is a sample server Petstore server.  You can find out more about Swagger \n    at <a href=\"http://swagger.wordnik.com\">http://swagger.wordnik.com</a> or on irc.freenode.net, #swagger.  For this sample,\n    you can use the api key \"special-key\" to test the authorization filters",
    "serviceUrl": "http://petstore.swagger.wordnik.com/api",
    "path": "petstoreapi123",
    "protocols": [
      "https"
    ],
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "isCurrent": true,
    "provisioningState": "InProgress"
  }
}

ApiManagementCreateApiUsingOai3Import

Mintakérelem

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstore?api-version=2024-05-01

{
  "properties": {
    "format": "openapi-link",
    "value": "https://raw.githubusercontent.com/OAI/OpenAPI-Specification/master/examples/v3.0/petstore.yaml",
    "path": "petstore"
  }
}

Mintaválasz

location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "petstoreapi",
  "properties": {
    "displayName": "Swagger Petstore",
    "apiRevision": "1",
    "serviceUrl": "http://petstore.swagger.io/v1",
    "path": "petstore",
    "protocols": [
      "https"
    ],
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "isCurrent": true,
    "provisioningState": "InProgress"
  }
}
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "petstoreapi",
  "properties": {
    "displayName": "Swagger Petstore",
    "apiRevision": "1",
    "serviceUrl": "http://petstore.swagger.io/v1",
    "path": "petstore",
    "protocols": [
      "https"
    ],
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "isCurrent": true,
    "provisioningState": "InProgress"
  }
}

ApiManagementCreateApiUsingOai3ImportWithTranslateRequiredQueryParametersConduct

Mintakérelem

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstore?api-version=2024-05-01

{
  "properties": {
    "format": "openapi-link",
    "value": "https://raw.githubusercontent.com/OAI/OpenAPI-Specification/master/examples/v3.0/petstore.yaml",
    "path": "petstore",
    "translateRequiredQueryParameters": "template"
  }
}

Mintaválasz

location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "petstoreapi",
  "properties": {
    "displayName": "Swagger Petstore",
    "apiRevision": "1",
    "serviceUrl": "http://petstore.swagger.io/v1",
    "path": "petstore",
    "protocols": [
      "https"
    ],
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "isCurrent": true,
    "provisioningState": "InProgress"
  }
}
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "petstoreapi",
  "properties": {
    "displayName": "Swagger Petstore",
    "apiRevision": "1",
    "serviceUrl": "http://petstore.swagger.io/v1",
    "path": "petstore",
    "protocols": [
      "https"
    ],
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "isCurrent": true,
    "provisioningState": "InProgress"
  }
}

ApiManagementCreateApiUsingSwaggerImport

Mintakérelem

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstore?api-version=2024-05-01

{
  "properties": {
    "format": "swagger-link-json",
    "value": "http://petstore.swagger.io/v2/swagger.json",
    "path": "petstore"
  }
}

Mintaválasz

location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "petstoreapi",
  "properties": {
    "displayName": "Swagger Petstore",
    "apiRevision": "1",
    "description": "This is a sample server Petstore server.  You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/).  For this sample, you can use the api key `special-key` to test the authorization filters.",
    "serviceUrl": "http://petstore.swagger.io/v2",
    "path": "petstore",
    "protocols": [
      "http"
    ],
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "isCurrent": true,
    "provisioningState": "InProgress"
  }
}
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "petstoreapi",
  "properties": {
    "displayName": "Swagger Petstore",
    "apiRevision": "1",
    "description": "This is a sample server Petstore server.  You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/).  For this sample, you can use the api key `special-key` to test the authorization filters.",
    "serviceUrl": "http://petstore.swagger.io/v2",
    "path": "petstore",
    "protocols": [
      "http"
    ],
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "isCurrent": true,
    "provisioningState": "InProgress"
  }
}

ApiManagementCreateApiUsingWadlImport

Mintakérelem

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstore?api-version=2024-05-01

{
  "properties": {
    "format": "wadl-link-json",
    "value": "https://developer.cisco.com/media/wae-release-6-2-api-reference/wae-collector-rest-api/application.wadl",
    "path": "collector"
  }
}

Mintaválasz

location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/collectorwadl",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "collectorwadl",
  "properties": {
    "displayName": "http://localhost:8080/collector-northbound",
    "apiRevision": "1",
    "description": "",
    "serviceUrl": "http://localhost:8080/collector-northbound",
    "path": "collector",
    "protocols": [
      "https"
    ],
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "isCurrent": true,
    "provisioningState": "InProgress"
  }
}
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/collectorwadl",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "collectorwadl",
  "properties": {
    "displayName": "http://localhost:8080/collector-northbound",
    "apiRevision": "1",
    "description": "",
    "serviceUrl": "http://localhost:8080/collector-northbound",
    "path": "collector",
    "protocols": [
      "https"
    ],
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "isCurrent": true,
    "provisioningState": "InProgress"
  }
}

ApiManagementCreateApiWithMultipleAuthServers

Mintakérelem

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01

{
  "properties": {
    "description": "apidescription5200",
    "authenticationSettings": {
      "oAuth2AuthenticationSettings": [
        {
          "authorizationServerId": "authorizationServerId2283",
          "scope": "oauth2scope2580"
        },
        {
          "authorizationServerId": "authorizationServerId2284",
          "scope": "oauth2scope2581"
        }
      ]
    },
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    },
    "displayName": "apiname1463",
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "path": "newapiPath",
    "protocols": [
      "https",
      "http"
    ]
  }
}

Mintaválasz

location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "apiid9419",
  "properties": {
    "displayName": "apiname1463",
    "apiRevision": "1",
    "description": "apidescription5200",
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "path": "newapiPath",
    "protocols": [
      "http",
      "https"
    ],
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    },
    "isCurrent": true,
    "isOnline": true,
    "provisioningState": "InProgress"
  }
}
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "apiid9419",
  "properties": {
    "displayName": "apiname1463",
    "apiRevision": "1",
    "description": "apidescription5200",
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "path": "newapiPath",
    "protocols": [
      "http",
      "https"
    ],
    "authenticationSettings": {
      "oAuth2": {
        "authorizationServerId": "authorizationServerId2283",
        "scope": "oauth2scope2580"
      },
      "oAuth2AuthenticationSettings": [
        {
          "authorizationServerId": "authorizationServerId2283",
          "scope": "oauth2scope2580"
        },
        {
          "authorizationServerId": "authorizationServerId2284",
          "scope": "oauth2scope2581"
        }
      ]
    },
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    },
    "isCurrent": true,
    "isOnline": true,
    "provisioningState": "InProgress"
  }
}

ApiManagementCreateApiWithMultipleOpenIdConnectProviders

Mintakérelem

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01

{
  "properties": {
    "description": "apidescription5200",
    "authenticationSettings": {
      "openidAuthenticationSettings": [
        {
          "openidProviderId": "openidProviderId2283",
          "bearerTokenSendingMethods": [
            "authorizationHeader"
          ]
        },
        {
          "openidProviderId": "openidProviderId2284",
          "bearerTokenSendingMethods": [
            "authorizationHeader"
          ]
        }
      ]
    },
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    },
    "displayName": "apiname1463",
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "path": "newapiPath",
    "protocols": [
      "https",
      "http"
    ]
  }
}

Mintaválasz

location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "apiid9419",
  "properties": {
    "displayName": "apiname1463",
    "apiRevision": "1",
    "description": "apidescription5200",
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "path": "newapiPath",
    "protocols": [
      "http",
      "https"
    ],
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    },
    "isCurrent": true,
    "isOnline": true,
    "provisioningState": "InProgress"
  }
}
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "apiid9419",
  "properties": {
    "displayName": "apiname1463",
    "apiRevision": "1",
    "description": "apidescription5200",
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "path": "newapiPath",
    "protocols": [
      "http",
      "https"
    ],
    "authenticationSettings": {
      "openid": {
        "openidProviderId": "openidProviderId2283",
        "bearerTokenSendingMethods": [
          "authorizationHeader"
        ]
      },
      "openidAuthenticationSettings": [
        {
          "openidProviderId": "openidProviderId2283",
          "bearerTokenSendingMethods": [
            "authorizationHeader"
          ]
        },
        {
          "openidProviderId": "openidProviderId2284",
          "bearerTokenSendingMethods": [
            "authorizationHeader"
          ]
        }
      ]
    },
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    },
    "isCurrent": true,
    "isOnline": true,
    "provisioningState": "InProgress"
  }
}

ApiManagementCreateApiWithOpenIdConnect

Mintakérelem

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01

{
  "properties": {
    "displayName": "Swagger Petstore",
    "description": "This is a sample server Petstore server.  You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/).  For this sample, you can use the api key `special-key` to test the authorization filters.",
    "serviceUrl": "http://petstore.swagger.io/v2",
    "path": "petstore",
    "protocols": [
      "https"
    ],
    "authenticationSettings": {
      "openid": {
        "openidProviderId": "testopenid",
        "bearerTokenSendingMethods": [
          "authorizationHeader"
        ]
      }
    },
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}

Mintaválasz

location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/58da4c4ccdae970a08121230",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "58da4c4ccdae970a08121230",
  "properties": {
    "displayName": "Swagger Petstore",
    "apiRevision": "1",
    "description": "This is a sample server Petstore server.  You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/).  For this sample, you can use the api key `special-key` to test the authorization filters.",
    "serviceUrl": "http://petstore.swagger.io/v2",
    "path": "petstore",
    "protocols": [
      "https"
    ],
    "authenticationSettings": {
      "openid": {
        "openidProviderId": "testopenid",
        "bearerTokenSendingMethods": [
          "authorizationHeader"
        ]
      }
    },
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "isCurrent": true,
    "provisioningState": "InProgress"
  }
}
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/58da4c4ccdae970a08121230",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "58da4c4ccdae970a08121230",
  "properties": {
    "displayName": "Swagger Petstore",
    "apiRevision": "1",
    "description": "This is a sample server Petstore server.  You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/).  For this sample, you can use the api key `special-key` to test the authorization filters.",
    "serviceUrl": "http://petstore.swagger.io/v2",
    "path": "petstore",
    "protocols": [
      "https"
    ],
    "authenticationSettings": {
      "openid": {
        "openidProviderId": "testopenid",
        "bearerTokenSendingMethods": [
          "authorizationHeader"
        ]
      }
    },
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "isCurrent": true,
    "provisioningState": "InProgress"
  }
}

ApiManagementCreateGraphQLApi

Mintakérelem

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01

{
  "properties": {
    "description": "apidescription5200",
    "displayName": "apiname1463",
    "type": "graphql",
    "serviceUrl": "https://api.spacex.land/graphql",
    "path": "graphql-api",
    "protocols": [
      "http",
      "https"
    ]
  }
}

Mintaválasz

location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "apiid9419",
  "properties": {
    "displayName": "apiname1463",
    "apiRevision": "1",
    "description": "apidescription5200",
    "serviceUrl": "https://api.spacex.land/graphql",
    "type": "graphql",
    "path": "graphql-api",
    "protocols": [
      "https",
      "https"
    ],
    "authenticationSettings": null,
    "subscriptionKeyParameterNames": null,
    "isCurrent": true,
    "isOnline": true,
    "provisioningState": "InProgress"
  }
}
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "apiid9419",
  "properties": {
    "displayName": "apiname1463",
    "apiRevision": "1",
    "description": "apidescription5200",
    "serviceUrl": "https://api.spacex.land/graphql",
    "type": "graphql",
    "path": "graphql-api",
    "protocols": [
      "http",
      "https"
    ],
    "authenticationSettings": null,
    "subscriptionKeyParameterNames": null,
    "isCurrent": true,
    "isOnline": true,
    "provisioningState": "InProgress"
  }
}

ApiManagementCreateGrpcApi

Mintakérelem

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01

{
  "properties": {
    "description": "apidescription5200",
    "displayName": "apiname1463",
    "type": "grpc",
    "serviceUrl": "https://your-api-hostname/samples",
    "path": "grpc-api",
    "protocols": [
      "https"
    ],
    "format": "grpc-link",
    "value": "https://raw.githubusercontent.com/kedacore/keda/main/pkg/scalers/externalscaler/externalscaler.proto"
  }
}

Mintaválasz

location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "apiid9419",
  "properties": {
    "displayName": "apiname1463",
    "apiRevision": "1",
    "description": "apidescription5200",
    "serviceUrl": "https://your-api-hostname/samples",
    "type": "grpc",
    "path": "grpc-api",
    "protocols": [
      "https"
    ],
    "authenticationSettings": null,
    "subscriptionKeyParameterNames": null,
    "isCurrent": true,
    "isOnline": true
  }
}
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "apiid9419",
  "properties": {
    "displayName": "apiname1463",
    "apiRevision": "1",
    "description": "apidescription5200",
    "serviceUrl": "https://your-api-hostname/samples",
    "type": "grpc",
    "path": "grpc-api",
    "protocols": [
      "https"
    ],
    "authenticationSettings": null,
    "subscriptionKeyParameterNames": null,
    "isCurrent": true,
    "isOnline": true
  }
}

ApiManagementCreateODataApi

Mintakérelem

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01

{
  "properties": {
    "description": "apidescription5200",
    "displayName": "apiname1463",
    "type": "odata",
    "serviceUrl": "https://services.odata.org/TripPinWebApiService",
    "path": "odata-api",
    "protocols": [
      "http",
      "https"
    ],
    "format": "odata-link",
    "value": "https://services.odata.org/TripPinWebApiService/$metadata"
  }
}

Mintaválasz

location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "apiid9419",
  "properties": {
    "displayName": "apiname1463",
    "apiRevision": "1",
    "description": "apidescription5200",
    "serviceUrl": "https://services.odata.org/TripPinWebApiService",
    "type": "odata",
    "path": "odata-api",
    "protocols": [
      "http",
      "https"
    ],
    "authenticationSettings": null,
    "subscriptionKeyParameterNames": null,
    "isCurrent": true,
    "isOnline": true,
    "provisioningState": "InProgress"
  }
}
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "apiid9419",
  "properties": {
    "displayName": "apiname1463",
    "apiRevision": "1",
    "description": "apidescription5200",
    "serviceUrl": "https://services.odata.org/TripPinWebApiService",
    "type": "odata",
    "path": "odata-api",
    "protocols": [
      "http",
      "https"
    ],
    "authenticationSettings": null,
    "subscriptionKeyParameterNames": null,
    "isCurrent": true,
    "isOnline": true,
    "provisioningState": "InProgress"
  }
}

ApiManagementCreateSoapPassThroughApiUsingWsdlImport

Mintakérelem

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi?api-version=2024-05-01

{
  "properties": {
    "format": "wsdl-link",
    "value": "http://www.webservicex.net/CurrencyConvertor.asmx?WSDL",
    "path": "currency",
    "apiType": "soap",
    "wsdlSelector": {
      "wsdlServiceName": "CurrencyConvertor",
      "wsdlEndpointName": "CurrencyConvertorSoap"
    }
  }
}

Mintaválasz

location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "soapApi",
  "properties": {
    "displayName": "CurrencyConvertor",
    "apiRevision": "1",
    "serviceUrl": "http://www.webservicex.net",
    "path": "currency",
    "protocols": [
      "https"
    ],
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "type": "soap",
    "isCurrent": true,
    "provisioningState": "InProgress"
  }
}
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "soapApi",
  "properties": {
    "displayName": "CurrencyConvertor",
    "apiRevision": "1",
    "serviceUrl": "http://www.webservicex.net",
    "path": "currency",
    "protocols": [
      "https"
    ],
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "type": "soap",
    "isCurrent": true,
    "provisioningState": "InProgress"
  }
}

ApiManagementCreateSoapToRestApiUsingWsdlImport

Mintakérelem

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi?api-version=2024-05-01

{
  "properties": {
    "format": "wsdl-link",
    "value": "http://www.webservicex.net/CurrencyConvertor.asmx?WSDL",
    "path": "currency",
    "wsdlSelector": {
      "wsdlServiceName": "CurrencyConvertor",
      "wsdlEndpointName": "CurrencyConvertorSoap"
    }
  }
}

Mintaválasz

location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "soapApi",
  "properties": {
    "displayName": "CurrencyConvertor",
    "apiRevision": "1",
    "serviceUrl": "http://www.webservicex.net",
    "path": "currency",
    "protocols": [
      "https"
    ],
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "isCurrent": true,
    "provisioningState": "InProgress"
  }
}
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "soapApi",
  "properties": {
    "displayName": "CurrencyConvertor",
    "apiRevision": "1",
    "serviceUrl": "http://www.webservicex.net",
    "path": "currency",
    "protocols": [
      "https"
    ],
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "isCurrent": true,
    "provisioningState": "InProgress"
  }
}

ApiManagementCreateWebSocketApi

Mintakérelem

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01

{
  "properties": {
    "description": "apidescription5200",
    "displayName": "apiname1463",
    "type": "websocket",
    "serviceUrl": "wss://echo.websocket.org",
    "path": "newapiPath",
    "protocols": [
      "wss",
      "ws"
    ]
  }
}

Mintaválasz

location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "apiid9419",
  "properties": {
    "displayName": "apiname1463",
    "apiRevision": "1",
    "description": "apidescription5200",
    "serviceUrl": "wss://echo.websocket.org",
    "type": "websocket",
    "path": "newapiPath",
    "protocols": [
      "ws",
      "wss"
    ],
    "authenticationSettings": null,
    "subscriptionKeyParameterNames": null,
    "isCurrent": true,
    "isOnline": true,
    "provisioningState": "InProgress"
  }
}
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2024-05-01&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2024-05-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "name": "apiid9419",
  "properties": {
    "displayName": "apiname1463",
    "apiRevision": "1",
    "description": "apidescription5200",
    "serviceUrl": "wss://echo.websocket.org",
    "type": "websocket",
    "path": "newapiPath",
    "protocols": [
      "ws",
      "wss"
    ],
    "authenticationSettings": null,
    "subscriptionKeyParameterNames": null,
    "isCurrent": true,
    "isOnline": true,
    "provisioningState": "InProgress"
  }
}

Definíciók

Name Description
ApiContactInformation

AZ API kapcsolattartási adatai

ApiContract

API-részletek.

ApiCreateOrUpdateParameter

API-paraméterek létrehozása vagy frissítése.

ApiLicenseInformation

API-licencinformációk

ApiType

Az API típusa.

ApiVersionSetContractDetails

Az API-verziókészletek a kapcsolódó API-verziók halmazának általános konfigurációját tartalmazzák

AuthenticationSettingsContract

API-hitelesítési beállítások.

bearerTokenSendingMethods

Jogkivonat küldése a kiszolgálóra.

ContentFormat

Annak a tartalomnak a formátuma, amelyben az API importálva van. A jövőben új formátumok is hozzáadhatók

ErrorAdditionalInfo

Az erőforrás-kezelési hiba további információi.

ErrorDetail

A hiba részletei.

ErrorResponse

Hibaválasz

OAuth2AuthenticationSettingsContract

AZ API OAuth2 hitelesítési beállításainak részletei.

OpenIdAuthenticationSettingsContract

AZ API OAuth2 hitelesítési beállításainak részletei.

Protocol

Ez a cikk ismerteti, hogy az API műveletei mely protokollokon hívhatók meg.

SoapApiType

A létrehozandó API típusa.

  • http REST API-t hoz létre
  • soap létrehoz egy SOAP-átmenő API-t
  • websocket websocket API-t hoz létre
  • graphql GraphQL API-t hoz létre. A jövőben új típusok is hozzáadhatók.
SubscriptionKeyParameterNamesContract

Az előfizetéskulcs paraméterneveinek részletei.

TranslateRequiredQueryParametersConduct

A szükséges lekérdezési paraméterek sablonokra való fordításának stratégiája. Alapértelmezés szerint a "sablon" érték van megadva. Lehetséges értékek: 'template', 'query'

versioningScheme

Egy érték, amely meghatározza, hogy az API-verzióazonosító hol található egy HTTP-kérelemben.

WsdlSelector

A WSDL importálásának a dokumentum egy részhalmazára való korlátozására vonatkozó feltételek.

ApiContactInformation

AZ API kapcsolattartási adatai

Name Típus Description
email

string

A kapcsolattartó/szervezet e-mail-címe. E-mail-cím formátumúnak kell lennie

name

string

A kapcsolattartó/szervezet azonosító neve

url

string

A kapcsolattartási adatokra mutató URL-cím. URL-cím formátumban kell lennie

ApiContract

API-részletek.

Name Típus Description
id

string

Az erőforrás teljes erőforrás-azonosítója. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

Az erőforrás neve

properties.apiRevision

string

minLength: 1
maxLength: 100

Az API felülvizsgálatát ismerteti. Ha nincs megadva érték, a rendszer létrehozza az 1. alapértelmezett változatot

properties.apiRevisionDescription

string

maxLength: 256

Az API-változat leírása.

properties.apiVersion

string

maxLength: 100

Az API verzióazonosítóját jelzi, ha az API verziószámozott

properties.apiVersionDescription

string

maxLength: 256

Az API-verzió leírása.

properties.apiVersionSet

ApiVersionSetContractDetails

Verziókészlet részletei

properties.apiVersionSetId

string

A kapcsolódó ApiVersionSet erőforrás-azonosítója.

properties.authenticationSettings

AuthenticationSettingsContract

Az API-ba foglalt hitelesítési beállítások gyűjteménye.

properties.contact

ApiContactInformation

Az API kapcsolattartási adatai.

properties.description

string

Az API leírása. HTML-formázási címkéket is tartalmazhat.

properties.displayName

string

minLength: 1
maxLength: 300

API-név. 1–300 karakter hosszúságúnak kell lennie.

properties.isCurrent

boolean

Azt jelzi, hogy az API-változat aktuális API-változat-e.

properties.isOnline

boolean

Azt jelzi, hogy az API-változat elérhető-e az átjárón keresztül.

properties.license

ApiLicenseInformation

Az API licencadatai.

properties.path

string

minLength: 0
maxLength: 400

Relatív URL-cím, amely egyedileg azonosítja ezt az API-t és annak összes erőforrásútvonalát az API Management szolgáltatáspéldányon belül. A rendszer hozzáfűzi a szolgáltatáspéldány létrehozása során megadott API-végpontbázis URL-címéhez, hogy nyilvános URL-címet képezze ehhez az API-hoz.

properties.protocols

Protocol[]

Ez a cikk ismerteti, hogy az API műveletei mely protokollokon hívhatók meg.

properties.provisioningState

string

A kiépítés állapota

properties.serviceUrl

string

minLength: 0
maxLength: 2000

Az API-t implementáló háttérszolgáltatás abszolút URL-címe. Legfeljebb 2000 karakter hosszú lehet.

properties.sourceApiId

string

A forrás API API-azonosítója.

properties.subscriptionKeyParameterNames

SubscriptionKeyParameterNamesContract

Protokollok, amelyeken keresztül az API elérhetővé válik.

properties.subscriptionRequired

boolean

Megadja, hogy szükség van-e API- vagy termék-előfizetésre az API eléréséhez.

properties.termsOfServiceUrl

string

Az API szolgáltatási feltételeinek URL-címe. URL-cím formátumúnak kell lennie.

properties.type

ApiType

Az API típusa.

type

string

Az erőforrás típusa. Pl. "Microsoft.Compute/virtualMachines" vagy "Microsoft.Storage/storageAccounts"

ApiCreateOrUpdateParameter

API-paraméterek létrehozása vagy frissítése.

Name Típus Description
apiRevision

string

minLength: 1
maxLength: 100

Az API felülvizsgálatát ismerteti. Ha nincs megadva érték, a rendszer létrehozza az 1. alapértelmezett változatot

apiRevisionDescription

string

maxLength: 256

Az API-változat leírása.

apiVersion

string

maxLength: 100

Az API verzióazonosítóját jelzi, ha az API verziószámozott

apiVersionDescription

string

maxLength: 256

Az API-verzió leírása.

apiVersionSetId

string

A kapcsolódó ApiVersionSet erőforrás-azonosítója.

authenticationSettings

AuthenticationSettingsContract

Az API-ba foglalt hitelesítési beállítások gyűjteménye.

contact

ApiContactInformation

Az API kapcsolattartási adatai.

description

string

Az API leírása. HTML-formázási címkéket is tartalmazhat.

isCurrent

boolean

Azt jelzi, hogy az API-változat aktuális API-változat-e.

isOnline

boolean

Azt jelzi, hogy az API-változat elérhető-e az átjárón keresztül.

license

ApiLicenseInformation

Az API licencadatai.

properties.apiType

SoapApiType

A létrehozandó API típusa.

  • http REST API-t hoz létre
  • soap létrehoz egy SOAP-átmenő API-t
  • websocket websocket API-t hoz létre
  • graphql GraphQL API-t hoz létre. A jövőben új típusok is hozzáadhatók.
properties.apiVersionSet

ApiVersionSetContractDetails

Verziókészlet részletei

properties.displayName

string

minLength: 1
maxLength: 300

API-név. 1–300 karakter hosszúságúnak kell lennie.

properties.format

ContentFormat

Annak a tartalomnak a formátuma, amelyben az API importálva van. A jövőben új formátumok is hozzáadhatók

properties.path

string

minLength: 0
maxLength: 400

Relatív URL-cím, amely egyedileg azonosítja ezt az API-t és annak összes erőforrásútvonalát az API Management szolgáltatáspéldányon belül. A rendszer hozzáfűzi a szolgáltatáspéldány létrehozása során megadott API-végpontbázis URL-címéhez, hogy nyilvános URL-címet képezze ehhez az API-hoz.

properties.protocols

Protocol[]

Ez a cikk ismerteti, hogy az API műveletei mely protokollokon hívhatók meg.

properties.provisioningState

string

A kiépítés állapota

properties.serviceUrl

string

minLength: 0
maxLength: 2000

Az API-t implementáló háttérszolgáltatás abszolút URL-címe. Legfeljebb 2000 karakter hosszú lehet.

properties.sourceApiId

string

A forrás API API-azonosítója.

properties.translateRequiredQueryParameters

TranslateRequiredQueryParametersConduct

A szükséges lekérdezési paraméterek sablonokra való fordításának stratégiája. Alapértelmezés szerint a "sablon" érték van megadva. Lehetséges értékek: 'template', 'query'

properties.value

string

Tartalomérték API importálásakor.

properties.wsdlSelector

WsdlSelector

A WSDL importálásának a dokumentum egy részhalmazára való korlátozására vonatkozó feltételek.

subscriptionKeyParameterNames

SubscriptionKeyParameterNamesContract

Protokollok, amelyeken keresztül az API elérhetővé válik.

subscriptionRequired

boolean

Megadja, hogy szükség van-e API- vagy termék-előfizetésre az API eléréséhez.

termsOfServiceUrl

string

Az API szolgáltatási feltételeinek URL-címe. URL-cím formátumúnak kell lennie.

type

ApiType

Az API típusa.

ApiLicenseInformation

API-licencinformációk

Name Típus Description
name

string

Az API-hoz használt licencnév

url

string

Az API-hoz használt licenc URL-címe. URL-cím formátumban kell lennie

ApiType

Az API típusa.

Érték Description
http
soap
websocket
graphql
odata
grpc

ApiVersionSetContractDetails

Az API-verziókészletek a kapcsolódó API-verziók halmazának általános konfigurációját tartalmazzák

Name Típus Description
description

string

Az API verziókészletének leírása.

id

string

Meglévő API-verziókészlet azonosítója. Ezt az értéket kihagyva hozzon létre egy új verziókészletet.

name

string

Az API-verziókészlet megjelenítendő neve.

versionHeaderName

string

Az API-verziót jelző HTTP-fejlécparaméter neve, ha a versioningScheme értéke header.

versionQueryName

string

Az API-verziót jelző lekérdezési paraméter neve, ha a versioningScheme értéke query.

versioningScheme

versioningScheme

Egy érték, amely meghatározza, hogy az API-verzióazonosító hol található egy HTTP-kérelemben.

AuthenticationSettingsContract

API-hitelesítési beállítások.

Name Típus Description
oAuth2

OAuth2AuthenticationSettingsContract

OAuth2 hitelesítési beállítások

oAuth2AuthenticationSettings

OAuth2AuthenticationSettingsContract[]

Az API-ben található OAuth2 hitelesítési beállítások gyűjteménye.

openid

OpenIdAuthenticationSettingsContract

OpenID Connect-hitelesítési beállítások

openidAuthenticationSettings

OpenIdAuthenticationSettingsContract[]

Az API-hoz tartozó Open ID Connect hitelesítési beállítások gyűjteménye.

bearerTokenSendingMethods

Jogkivonat küldése a kiszolgálóra.

Érték Description
authorizationHeader

A hozzáférési jogkivonat az Engedélyezési fejlécben lesz továbbítva a Bearer-sémával

query

A hozzáférési jogkivonat lekérdezési paraméterekként lesz továbbítva.

ContentFormat

Annak a tartalomnak a formátuma, amelyben az API importálva van. A jövőben új formátumok is hozzáadhatók

Érték Description
wadl-xml

A tartalom beágyazott, a tartalomtípus pedig WADL-dokumentum.

wadl-link-json

A WADL-dokumentum egy nyilvánosan elérhető internetes címen található.

swagger-json

A tartalom beágyazott, a tartalomtípus pedig egy OpenAPI 2.0 JSON-dokumentum.

swagger-link-json

Az OpenAPI 2.0 JSON-dokumentum nyilvánosan elérhető internetes címen található.

wsdl

A tartalom beágyazott, a dokumentum pedig egy WSDL-/Soap-dokumentum.

wsdl-link

A WSDL-dokumentum egy nyilvánosan elérhető internetes címen található.

openapi

A tartalom beágyazott, a tartalomtípus pedig egy OpenAPI 3.0 YAML-dokumentum.

openapi+json

A tartalom beágyazott, a tartalomtípus pedig egy OpenAPI 3.0 JSON-dokumentum.

openapi-link

Az OpenAPI 3.0 YAML-dokumentum nyilvánosan elérhető internetes címen található.

openapi+json-link

Az OpenAPI 3.0 JSON-dokumentum nyilvánosan elérhető internetes címen található.

graphql-link

Nyilvánosan elérhető internetes címen üzemeltetett GraphQL API-végpont.

odata

A tartalom beágyazott, a tartalomtípus pedig OData XML-dokumentum.

odata-link

Az OData-metaadat-dokumentum, amely nyilvánosan elérhető internetes címen található.

grpc

A tartalom beágyazott, a tartalomtípus pedig egy gRPC protobuf fájl.

grpc-link

A gRPC protobuf fájl egy nyilvánosan elérhető internetes címen található.

ErrorAdditionalInfo

Az erőforrás-kezelési hiba további információi.

Name Típus Description
info

object

A további információk.

type

string

A további információtípus.

ErrorDetail

A hiba részletei.

Name Típus Description
additionalInfo

ErrorAdditionalInfo[]

A hiba további információi.

code

string

A hibakód.

details

ErrorDetail[]

A hiba részletei.

message

string

A hibaüzenet.

target

string

A hibacél.

ErrorResponse

Hibaválasz

Name Típus Description
error

ErrorDetail

A hibaobjektum.

OAuth2AuthenticationSettingsContract

AZ API OAuth2 hitelesítési beállításainak részletei.

Name Típus Description
authorizationServerId

string

OAuth engedélyezési kiszolgáló azonosítója.

scope

string

műveleti hatókör.

OpenIdAuthenticationSettingsContract

AZ API OAuth2 hitelesítési beállításainak részletei.

Name Típus Description
bearerTokenSendingMethods

bearerTokenSendingMethods[]

Jogkivonat küldése a kiszolgálóra.

openidProviderId

string

OAuth engedélyezési kiszolgáló azonosítója.

Protocol

Ez a cikk ismerteti, hogy az API műveletei mely protokollokon hívhatók meg.

Érték Description
http
https
ws
wss

SoapApiType

A létrehozandó API típusa.

  • http REST API-t hoz létre
  • soap létrehoz egy SOAP-átmenő API-t
  • websocket websocket API-t hoz létre
  • graphql GraphQL API-t hoz létre. A jövőben új típusok is hozzáadhatók.
Érték Description
http

RESTful előtérrel rendelkező SOAP API importálása.

soap

Importálja a SOAP API-t soap előtérrel.

websocket

Importálja a Websocket előtérrel rendelkező API-t.

graphql

Importálja a GraphQL előtérrel rendelkező API-t.

odata

Importálja az OData előtérrel rendelkező API-t.

grpc

Importálja a gRPC előtérrel rendelkező API-t.

SubscriptionKeyParameterNamesContract

Az előfizetéskulcs paraméterneveinek részletei.

Name Típus Description
header

string

Az előfizetéskulcs fejlécének neve.

query

string

Előfizetési kulcs lekérdezési sztring paraméterének neve.

TranslateRequiredQueryParametersConduct

A szükséges lekérdezési paraméterek sablonokra való fordításának stratégiája. Alapértelmezés szerint a "sablon" érték van megadva. Lehetséges értékek: 'template', 'query'

Érték Description
template

A szükséges lekérdezési paramétereket sablonra fordítja le. Alapértelmezett érték

query

A szükséges lekérdezési paramétereket a megadott módon hagyja meg (a fordítás nem történik meg).

versioningScheme

Egy érték, amely meghatározza, hogy az API-verzióazonosító hol található egy HTTP-kérelemben.

Érték Description
Segment

Az API-verzió egy elérésiút-szegmensben lesz átadva.

Query

Az API-verzió egy lekérdezési paraméterben lesz átadva.

Header

Az API-verzió egy HTTP-fejlécben lesz átadva.

WsdlSelector

A WSDL importálásának a dokumentum egy részhalmazára való korlátozására vonatkozó feltételek.

Name Típus Description
wsdlEndpointName

string

A WSDL-ből importálandó végpont(port) neve

wsdlServiceName

string

A WSDL-ből importálandó szolgáltatás neve